'use strict';

var antd = require('antd');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const FieldsDateTime = ({ input }) => /* @__PURE__ */ React__default.default.createElement(React__default.default.Fragment, null, /* @__PURE__ */ React__default.default.createElement(
  antd.DatePicker,
  {
    onFocus: () => {
      var _a;
      return (_a = input.onFocus) == null ? void 0 : _a.call(input);
    },
    onBlur: () => {
      var _a;
      return (_a = input.onBlur) == null ? void 0 : _a.call(input);
    },
    showTime: true,
    defaultValue: input.value,
    onOk: input.onChange
  }
));
var FieldsDateTime$1 = FieldsDateTime;

module.exports = FieldsDateTime$1;
